Bug 21077 - Fix comment for statistics.type in installer/data/mysql/kohastructure.sql
Summary: Fix comment for statistics.type in installer/data/mysql/kohastructure.sql
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-13 21:15 UTC by Barton Chittenden
Modified: 2018-09-21 09:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21017: Fix database documentation for statistics.type (1.55 KB, patch)
2018-07-15 17:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21017: Fix database documentation for statistics.type (1.60 KB, patch)
2018-07-27 20:50 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 21077: Fix database documentation for statistics.type (1.57 KB, patch)
2018-07-31 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2018-07-13 21:15:12 UTC
In installer/data/mysql/kohastructure.sql, the CREATE TABLE statement for statistics reads:

DROP TABLE IF EXISTS `statistics`;
CREATE TABLE `statistics` ( -- information related to transactions (circulation and fines) in Koha

...

  `type` varchar(16) default NULL, -- transaction type (locause, issue, return, renew, writeoff, payment, Credit*)

...

There's a typo for 'locause', this should be 'localuse'. Also, 'Credit*' is never used.

As far as I know, the list of valid values for statistics.type isn't documented anywhere else, so it's valuable to have these annotated correctly here.
Comment 1 Katrin Fischer 2018-07-15 17:29:14 UTC
Created attachment 76966 [details] [review]
Bug 21017: Fix database documentation for statistics.type

There's a typo for 'locause', this should be 'localuse'.
Also, 'Credit*' is never used.

https://bugs.koha-community.org/show_bug.cgi?id=20177
Comment 2 Maryse Simard 2018-07-27 20:50:00 UTC
Created attachment 77320 [details] [review]
Bug 21017: Fix database documentation for statistics.type

There's a typo for 'locause', this should be 'localuse'.
Also, 'Credit*' is never used.

https://bugs.koha-community.org/show_bug.cgi?id=20177

https://bugs.koha-community.org/show_bug.cgi?id=21077

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Jonathan Druart 2018-07-31 15:02:12 UTC
Created attachment 77334 [details] [review]
Bug 21077: Fix database documentation for statistics.type

There's a typo for 'locause', this should be 'localuse'.
Also, 'Credit*' is never used.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2018-08-02 13:18:31 UTC
Fix pushed to master. Thanks!
Comment 5 Martin Renvoize 2018-08-03 14:14:20 UTC
Pushed to 18.05.x for 18.05.03.
Comment 6 Fridolin SOMERS 2018-09-21 09:54:43 UTC
Pushed to 17.11.x for 17.11.10